function [I, Iterms] = DescriptionLength(lambdas, cutoff);

% Computes the length similar to Davies and Twining 2002

l = lambdas / cutoff;
l_large = l(l>1);
n_large = length(l_large);
l_small = l(l<=1);
if n_large>0
    I = n_large + sum(log(l_large));
else
    I = 0;
end

if length(l_small)>0
    I = I + sum(l_small);
end

if nargout>1
    Iterms = [1+log(l_large) l_small];
end





