% Additional passes of MDL optimisation

if mode==1
    [A, MDL, stepsizes, mu, V, lambdas, AHis, MDLHis] = ...
    Optimise(C, Cn, Ccum, ends, nPasses, P, A, ps, nps, ...
    stepsizes, cutoff, ...
    curvSmear, curvFac, curvSkip);
else
    [A, MDL, stepsizes, aTargetNow, mu, V, lambdas, AHis, MDLHis] = ...
    OptimiseCon(C, Cn, Ccum, ends, nPasses, P, A, ps, nps, ...
    stepsizes, aTargetNow, cutoff, mode, aTarget, tolerance, ...
    curvSmear, curvFac, curvSkip);
end


totalPasses = totalPasses + nPasses
AHisTot = [AHisTot AHis];     % [A;B] concatenates along first index
MDLHisTot = [MDLHisTot MDLHis];

Figures(muOrig, VOrig, lambdasOrig, mu, V, lambdas, ...
    cutoff, ps, P, ...
    AHisTot, MDLHisTot, studyName, aspectRatio);
ShowNodes(C, Cn, Ccum, A, P, ends, aspectRatio);
if curvFac>0 ShowCurv(C, Cn, Ccum, A, P, ends, curvSmear, curvSkip); end
if curvFac>0 ShowExtremes(C, Cn, Ccum, A, P, ends, ...
        curvSmear, curvSkip, mu); end

%-----------------------------------------  end -------